PaidGoods
API referenceStorefront growth

Submit a theme for review

POST
/v1/stores/{storeId}/storefront/marketplace

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/stores/string/storefront/marketplace" \  -H "Content-Type: application/json" \  -d '{    "themeId": "53fe7fb9-b3ba-4541-bf79-a49c12f44b76",    "name": "string",    "author": "string",    "description": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "slug": "string",  "name": "string",  "author": "string",  "description": "string",  "tags": [    "string"  ],  "base": "string",  "baseLabel": "string",  "previewAccent": "string",  "previewScheme": "dark",  "priceMinor": -9007199254740991,  "curated": true,  "installs": -9007199254740991,  "status": "pending",  "reviewNote": "string",  "customisedFiles": -9007199254740991,  "createdAt": "string"}